require 'trello'

module VtsTrelloDeliver
  class Deliverer

    def initialize(git, developer_public_key, member_token)
      @git = git

      Trello.configure do |config|
        config.developer_public_key = developer_public_key
        config.member_token = member_token
      end
    end

    def deliver(from_list, to_list)
      Trello::List.find(from_list).cards.each do |card|
        id = card.short_url.gsub('https://trello.com/c/', '')
        Trello::Card.find(id).move_to_list(to_list) if @git.contains?(id)
      end
    end
  end
end


